package webUtil

import (
	"testing"
	"time"
)

func TestGet(t *testing.T) {
	client := NewClient(nil)

	result, err := client.Get("https://www.baidu.com", nil)
	if err != nil {
		t.Errorf("测试错误，返回的结果为：%s", err)
	}

	if len(result) == 0 {
		t.Errorf("返回的数据为空，期望不为空")
	}

	//t.Log(string(result))
}

func TestGetTimeout(t *testing.T) {
	transportOPT := &TransportOPT{
		Timeout: 3 * time.Second,
	}
	opt := make(map[string]interface{})
	opt["Timeout"] = 3 * time.Second

	client := NewClient(transportOPT)
	_, err := client.Get("https://www.google.com", nil)
	if err != nil {
		t.Log(err)
		return
	}

	t.Errorf("测试异常")
}

func TestPostWithMap(t *testing.T) {
	client := NewClient(nil)

	data := make(map[string]string)
	data["test1"] = "value1"
	data["test2"] = "value2"
	result, err := client.PostWithMap("http://www.baidu.com", data, nil)
	if err != nil {
		t.Errorf("测试错误，返回的结果为：%s", err)
	}

	if len(result) == 0 {
		t.Errorf("返回的数据为空，期望不为空")
	}

	//t.Log(string(result))
}

func TestPostWithByte(t *testing.T) {
	client := NewClient(nil)

	result, err := client.PostWithByte("http://www.baidu.com", []byte("test=abc"), nil)
	if err != nil {
		t.Errorf("测试错误，返回的结果为：%s", err)
	}

	if len(result) == 0 {
		t.Errorf("返回的数据为空，期望不为空")
	}

	//t.Log(string(result))
}
